<?php

require "showshp.php";

session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}


?>


<html>


<head>
<link rel="stylesheet" type="text/css" href="rdsty.css">
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>

<script>


function fdtfinds(pr)
{

var vl=document.getElementById("dtfinds").value;
var dt=document.getElementById("dtd");
var cn=dt.rows.length;
var vls=vl.toLowerCase();

for(var cnt=2;cnt<cn;cnt++){
	
var tmp=dt.rows[cnt].cells[0].innerHTML;
var tmpa=tmp.toLowerCase();
var tmp=dt.rows[cnt].cells[1].innerHTML;
var tmpb=tmp.toLowerCase();
var sta=tmpa.indexOf(vls);
var stb=tmpb.indexOf(vls);

if((sta>=0 || stb>=0 ) && vls.length>0){
dt.rows[cnt].style.display="table-row";}
else{
dt.rows[cnt].style.display="none";}

if(vls.length==0){
dt.rows[cnt].style.display="table-row";}
}

	
}


</script>
</head>



<body style="font-family:calibri;font-size:small" onload="mnh('amnc','agentsb')">
<div class="hdn"></div>

<?php
printf("<div class='ses'>%s (%s)</div>",$_SESSION['titles'],$_SESSION['positions']);
?>

<div class="tops" align="center">Sub range sales summary</div>
<div class="homes"><a href="index.php" style='color:#A9BCF5;'>Sign out</a></div>

</body>

</html>




<?php

$grt=0;
$grq=0;
$arr=array();

$starts=$_REQUEST['starts'];
$ends=$_REQUEST['ends'];

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones="All";}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions="All";}

if(isset($_REQUEST['territorys'])){
$territorys=$_REQUEST['territorys'];}
else{
$territorys="All";}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents="All";}

if(isset($_REQUEST['rsms'])){
$rsms=$_REQUEST['rsms'];}
else{
$rsms="All";}

if(isset($_REQUEST['executives'])){
$executives=$_REQUEST['executives'];}
else{
$executives="All";}

if(isset($_REQUEST['reps'])){
$reps=$_REQUEST['reps'];}
else{
$reps="All";}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges="All";}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges="All";}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items="All";}

$rpsty="regions=".$regions."&agents=".$agents."&territorys=".$territorys."&ranges=".$ranges."&zones=".$zones."&rsms=".$rsms."&executives=".$executives."&reps=".$reps
."&items=".$items."&subranges=".$subranges; 


$months=date('m');
$days=date('t');
$years=date('Y');

if($starts==0 || $starts==''){
$starts=$years."-".$months."-01";}
if($ends==0 || $ends==''){
$ends=$years."-".$months."-".$days;}

showsrds();


printf("</div><div class='srg'></div>");
printf("<div class='mains'>");


$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_diana");
$seflt=" where agent_names is not null ";

$sesqlst="select * from acs where user_names='".$_SESSION['usernames']."'";
$seqry=mysqli_query($conn,$sesqlst);

while($serst=mysqli_fetch_row($seqry)){
if(strtolower($serst[1])!='all'){
$seflt=$seflt." and zones='".$serst[1]."' ";}
if(strtolower($serst[2])!='all'){
$seflt=$seflt." and regions='".$serst[2]."' ";}
if(strtolower($serst[3])!='all'){
$seflt=$seflt." and territory_names='".$serst[3]."' ";}
if(strtolower($serst[4])!='all'){
$seflt=$seflt." and agent_names='".$serst[4]."' ";}
if(strtolower($serst[5])!='all'){
$seflt=$seflt." and item_names='".$serst[5]."' ";}
if(strtolower($serst[6])!='all'){
$seflt=$seflt." and item_ranges='".$serst[6]."' ";}
if(strtolower($serst[7])!='all'){
$seflt=$seflt." and sub_ranges='".$serst[7]."' ";}
if(strtolower($serst[8])!='all'){
$seflt=$seflt." and executive_names='".$serst[8]."' ";}
if(strtolower($serst[9])!='all'){
$seflt=$seflt." and chanell='".$serst[9]."' ";}
if(strtolower($serst[10])!='all'){
$seflt=$seflt." and rsm_names='".$serst[10]."' ";}
}


printf("<form method='post' action='rdsubrangesummarys.php?%s'>",$rpsty);
printf("<div class='fra'>From</div><div class='frb'>
<input type='text' size=10 class='starts'  name='starts' value='%s' id='inputField'></div><div class='frc'>To</div><div class='frd'><input type='text class='ends' size=10 name='ends' value='%s' id='inputField2'></div>
<div class='fre'><input type='submit' value='go' style='width:70'></div><div class='frf'>Search</div><div class='frg'>
<input type='text' size=20 id='dtfinds' autocomplete='off' onkeydown=\"fdtfinds(event)\"></div></form>",$starts,$ends);


printf("<div class='tdt'><br><table id='dtd' style='font-size:13'><th border='white' bgcolor='silver' colspan='12'><b>Sales value Rs.</th>");

printf("<tr bgcolor='grey' style='color:#E6E6E6;'><td width=100 align='center'  style='border:1px solid white' >Range</td><td width=200 align='center'  style='border:1px solid white' >Sub range</td>");
printf("<td width=80 align='center'  style='border:1px solid white' >Qty</td><td width=100 align='center'  style='boprer:1px solid white' >Value</td>");
printf("<td width=80 align='center'  style='border:1px solid white' >%%</td><td width=80 align='center'  style='boprer:1px solid white' >item list</td><td width=80 align='center'  style='border:1px solid white' >invoie list</td></tr>");

$flt=$seflt." and dates>='".$_REQUEST['starts']."' and dates<='".$_REQUEST['ends']."' ";
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($territorys)!='all'){
$flt=$flt." and territory_names='".$territorys."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}


$sqlst="select item_ranges,sub_ranges,sum(pcs_qty),sum(pcs_qty*pcs_price) from rd_invoices ".$flt." group by item_ranges,sub_ranges ";
#echo $sqlst;

$qry=mysqli_query($conn,$sqlst);

$qtot=0;
$vtot=0;
$sqtot=0;
$svtot=0;

while($rst=mysqli_fetch_row($qry)){
$qtot=$qtot+$rst[2];
$vtot=$vtot+$rst[3];}

$tranges="";
$cnt=0;


$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){

if($tranges!=$rst[0] && $cnt>0){
printf("<tr bgcolor='white' onmouseover=\"this.style.backgroundColor='silver';\" onmouseout=\"this.style.backgroundColor='white';\"><td></td><td><b>Total</td><td align='right'><b>%s</td><td align='right'><b>%s</td><td align='center'><b>%s%%</td>",number_format($sqtot,0,'.',','),number_format($svtot,2,'.',','),number_format($svtot/$vtot,2,'.',','));
printf("<td width=80  style='font-size:13' align='center'><a href='rditemsummarys.php?starts=%s&ends=%s&regions=%s&agents=%s&subranges=All&territorys=all&ranges=%s' target='_blank'>items list</a></td>",$starts,$ends,$regions,$agents,$tranges);
printf("<td width=80  style='font-size:13' align='center'><a href='rdsubrangesinvoices.php?starts=%s&ends=%s&regions=%s&agents=%s&subranges=All&territorys=all&ranges=%s' target='_blank'>invoice list</a></td></tr>",$starts,$ends,$regions,$agents,$tranges);
$sqtot=0;
$svtot=0;
printf("<tr height=20></tr>");}
$sqtot=$sqtot+$rst[2];
$svtot=$svtot+$rst[3];

printf("<tr class='cls' bgcolor='white' onmouseover=\"this.style.backgroundColor='silver';\" onmouseout=\"this.style.backgroundColor='white';\"><td width=100>%s</td><td width=100>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td>",$rst[0],$rst[1],number_format($rst[2],0,'.',','),number_format($rst[3],2,'.',','),number_format($rst[3]*100/$vtot,2,'.',','));
printf("<td width=80  style='font-size:13' align='center'><a href='rditemsummarys.php?starts=%s&ends=%s&regions=%s&agents=%s&subranges=%s&territorys=all&ranges=%s' target='_blank'>items list</a></td>",$starts,$ends,$regions,$agents,$rst[1],$rst[0]);
printf("<td width=80  style='font-size:13' align='center'><a href='rditemsummarys.php?starts=%s&ends=%s&regions=%s&agents=%s&subranges=%s&territorys=all&ranges=%s' target='_blank'>invoice list</a></td></tr>",$starts,$ends,$regions,$agents,$rst[1],$rst[0]);
$tranges=$rst[0];
$cnt++;
}
printf("<tr class='cls' bgcolor='white' onmouseover=\"this.style.backgroundColor='silver';\" onmouseout=\"this.style.backgroundColor='white';\"><td></td><td><b>Total</td><td align='right'><b>%s</td><td align='right'><b>%s</td><td align='center'><b>100%%</td>",number_format($qtot,0,'.',','),number_format($vtot,2,'.',','));
printf("<td width=80  style='font-size:13' align='center'><a href='rditemsummarys.php?starts=%s&ends=%s&regions=%s&agents=%s&subranges=All&territorys=all&ranges=%s' target='_blank'>items list</a></td>",$starts,$ends,$regions,$agents,$tranges);
printf("<td width=80  style='font-size:13' align='center'><a href='rdsubrangesinvoices.php?starts=%s&ends=%s&regions=%s&agents=%s&subranges=All&territorys=all&ranges=%s' target='_blank'>invoice list</a></td></tr>",$starts,$ends,$regions,$agents,$tranges);



?>